* {
    margin: 0%;
    padding: 0%;
    font-family: Lora, 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    cursor: none;
    color: var(--font-color);
    box-sizing: border-box;
}
:root {
    --main-color : rgb(243, 48, 48);
    --secondary-color : #293646;
    --third-color : #dfb237;
    --background-color : #F8F8FF;

    --font-color : rgb(0, 0, 0);
    --text-shadow : -26px 17px 8px rgba(0,0,0,0.15);
    --nav-shadow : 0px 3px 15px -1px rgba(0,0,0,0.75);
}
html, body{
    background: var(--background-color);
    scroll-behavior: smooth;
    max-width: 100vw;
    position: relative;
    overflow-x: hidden;
    box-sizing: border-box;
}

button, a {
    cursor: none;
}
/*=========================== CUSTOM CURSOR ===========================*/
.cursor-dot {
    position: fixed;
    top: 0;
    left: 0;
    width: 5px;
    height: 5px;
    background: var(--font-color);
    transform: translate(-50%, -50%);
    border-radius: 50%;
    z-index: 1000;
    pointer-events: none;
}
.cursor-outline {
    position: fixed;
    top: 0;
    left: 0;
    width: 30px;
    height: 30px;
    border: 1px solid var(--font-color);
    transform: translate(-50%, -50%);
    border-radius: 50%;
    z-index: 1;
    pointer-events: none;
    z-index: 1000;
}
/*=========================== NAV ===========================*/
nav {
    width: 100%;
    height: min(80px, 10vh);
    box-shadow: var(--nav-shadow);
    box-sizing: border-box;
    position: fixed;
    top: 0;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(25px) saturate(189%);
    -webkit-backdrop-filter: blur(25px) saturate(189%);
    background-color: rgba(255, 255, 255, 0.31);
}
.nav-content {
    width: min(1250px, 95%);
    display: flex;
    height: 100%;
    justify-content: space-between;
    align-items: center;
}
.logo-container {
    height: 80%;
    justify-content: center;
    align-items: center;
    display: flex;
}
.logo {
    color: black;
    border: 2px solid black;
    font-size: 1.5rem;
    font-family: Cambria, sans-serif;
    font-weight: 600;
    letter-spacing: 5px;
    padding: 5px 30px;
    background: #000000;
    background: linear-gradient(to bottom, #000000 50%, #FF0000 50%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent
}
.navs {
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: center;
}
.nav-links-container {
    height: 70%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    min-width: min(500px, 60vw);
    transition: 0.3s all linear;
}
.nav-links-container a {
    text-decoration: none;
    font-size: clamp(0.8rem, 2vw, 1.1rem);
    transition: 0.2s linear;
    position: relative;
    padding: 10px;
}
.seperator{
    font-weight: 100;
    color: rgba(0, 0, 0, 0.3);
}
.nav-links-container a:hover {
    color: var(--main-color);
}
.nav-links-container a::before {
    content: "";
    width: 0%;
    height: 2px;
    background-color: var(--main-color);
    left: 0%;
    bottom: 0%;
    position: absolute;
    transition: 0.2s linear;
}
.nav-links-container a:hover::before {
    width: 100%;
}
.nav-links-btn {
    display: none;
}
.hamburger-icon{
    border: none;
    font-size: 1.5rem;
    padding: 5px;
    background: none;
}
#burger-icon {
    display: initial;
}
#close-icon {
    display: none;
}
.dark-mode-btn {
    border: 1px solid var(--font-color);
    padding: 2px;
    width: 35px;
    height: 35px;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: none;
    position: relative;
}
.tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    left: 30px;
    top: 20px;
  }
  .dark-mode-btn:hover .tooltiptext {
    visibility: visible;
  }
#moon {
    border-radius: 50%;
    padding: 3px;
    font-size: 1rem;
    color: var(--font-color);
}
#sun {
    display: none;
    border-radius: 50%;
    padding: 3px;
    font-size: 1rem;
    color: var(--font-color);
}
/*=========================== MAIN ===========================*/
main {
    width: 100vw;
}
/*---------------------------------------- HOME SECTION ----------------------------------------*/
.home-section {
    width: 100%;
    min-height: min(100vh, 930px);
    display: flex;
    align-items: center;
    justify-content: center;
}
.name-cntr { grid-area: nameArea; }
.aspiring-cntr { grid-area: aspiringArea; }
.tech-stack-cntr { grid-area: techArea; }
.home-container {
    width: min(800px, 90%);
    display: grid;
    grid-template-areas: 
        'nameArea aspiringArea'
        'techArea techArea';
    grid-template-columns: 1fr 1fr;
    column-gap: 20px;
    row-gap: 40px;
    grid-template-rows:  auto 50px;
}
.name-cntr {
    display: flex;
    text-align: right;
}
.name-h1 {
    font-size: clamp(2.5rem, 5vw, 4rem);
    font-family: "Castoro Titling", serif;
    font-weight: 700;
    text-shadow: var(--text-shadow);
    text-transform: uppercase;
}
/* animation left */
.from-left-animation {
    opacity: 0;
    filter: blur(1px);
    transform: translateX(-100%);
    transition: all 0.8s;
}
.show-from-left-animation {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0);
}
/* animation appear */
.appear-animation {
    opacity: 0;
    filter: blur(1px);
    transition: all 1.2s;
    transform: translateY(-50%);
}
.show-appear-animation {
    opacity: 1;
    filter: blur(0);
    transform: translateY(0%);
}
/* animation staggered icon */
.staggered-icon-animation {
    opacity: 0;
    filter: blur(1px);
    transition: all 0.8s;
    transform: translateX(100%);
}
.show-staggered-icon-animation {
    opacity: 1;
    filter: blur(0);
    transform: translateY(0%);
}
.staggered-icon-animation:nth-child(1) {
    transition-delay: 100ms;
}.staggered-icon-animation:nth-child(2) {
    transition-delay: 200ms;
}.staggered-icon-animation:nth-child(3) {
    transition-delay: 300ms;
}.staggered-icon-animation:nth-child(4) {
    transition-delay: 400ms;
}.staggered-icon-animation:nth-child(5) {
    transition-delay: 500ms;
}.staggered-icon-animation:nth-child(6) {
    transition-delay: 600ms;
}.staggered-icon-animation:nth-child(7) {
    transition-delay: 700ms;
}.staggered-icon-animation:nth-child(8) {
    transition-delay: 800ms;
}
.aspiring-cntr {
    display: flex;
    font-weight: 500;
    flex-direction: column;
    justify-content: space-evenly;
    padding: 10px;
    gap: 20px;
}
.intro-span {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.aspiring-web-dev {
    display: block;
    font-size: clamp(1.1rem, 3vw, 1.5rem);
}
.introduction {
    font-size: clamp(0.8rem, 2.5vw, 1rem);
}
.introduction i{
    color: var(--main-color);
}
.cv-btn-cntr {
    display: flex;
    justify-content: center;
}
.download-cv-btn {
    font-size: 0.9rem;
    letter-spacing: 5px;
    font-weight: 600;
    background: white;
    padding: 8px 30px;
    border-radius: 25px;
    border: none;
    background-color: var(--main-color);
    color: white;
    box-shadow: -26px 17px 8px rgba(0,0,0,0.15);
    transition: 0.2s linear;
}
.download-cv-btn:hover {
    background: rgb(255, 218, 10);
    color: black;
}
.contact-icons-cntr {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    gap: 20px;
    align-items: center;
    flex-wrap: wrap;
}
.contact-icons-cntr a{
    text-decoration: none;
    transition: 0.2s linear;
}
.contact-icons-cntr i:hover {
    color: var(--main-color);
}
.contact-icon-name {
    font-size: clamp(0.8rem, 2vw, 1rem);
    transition: 0.2s linear;
}
.contact-icon-name:hover {
    color: var(--main-color);
}
.tech-stack-cntr {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
}
.tech-stack-word {
    font-size: clamp(0.8rem, 2.5vw, 1.2rem);
}
.tech-stack-icon-cntr {
    display: flex;
    gap: 20px;
    font-size: clamp(1.5rem, 2.5vw, 2.1rem);
}
.html {
    color: #f06529;
}
.css {
    color: #264de4;
}
.js {
    color: #f0db4f;
}
.sass {
    color: #CD6799;
}
.bootstrap {
    color: #563d7c;
}
.node-js {
    color : #68a063;
}
.react {
    color: #7cc5d9;
}
.php {
    color:  #AEB2D5;
}
/*---------------------------------------- ABOUT SECTION ----------------------------------------*/
.about-section {
    width: 100%;
    min-height: min(100vh, 930px);
    padding-top: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.about-content-container {
    width: min(1000px, 90%);
}
.section-title {
    font-size: clamp(1.2rem, 3vw, 2rem);
    text-transform: uppercase;
    font-weight: 400;
    width: 100%;
    color: var(--third-color);
    margin-bottom: 20px;
    letter-spacing: 5px;
}
.about-info-container {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 2px;
    background-color: black;
}
.about-info-container div {
    background: var(--background-color);
}
.info-titles {
    width: 100%;
    border-bottom: 2px solid black;
    padding: 20px 0px 5px 0px;
    text-align: center;
    font-size: clamp(1.2rem, 2vw, 1.5rem);
    font-weight: 500;
    letter-spacing: 3px;
}
.info-content {
    box-sizing: border-box;
    padding: 20px ;
    width: 100%;
    display: block;
    font-size: clamp(0.9rem, 1.8vw, 1.1rem);
    font-weight: 300;
    line-height: clamp(1.2rem, 3vw, 2rem);
}
.soft-skills-list {
    display: grid;
    grid-template-columns: auto auto;
    column-gap: 10px
}
.soft-skills-list span i {
    color: rgb(6, 218, 6);
}
/*---------------------------------------- PROJECT AND CERTIFICATION SECTION ----------------------------------------*/
.projects-section {
    width: 100%;
    min-height: min(100vh, 930px);
    padding-top: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.projects-and-certification-cntr {
    width: min(1000px, 100%);
    min-height: 550px;
    border-radius: 10px;
    display: grid;
    grid-template-rows: 0.65fr 1.35fr;
}
.certification-cntr {
    width: 100%;
    padding: 5px 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: Lora, sans-serif;
}
.title {
    height: 40px;
    font-weight: 450;
    font-size: clamp(1.2rem, 2.5vw, 1.8rem);
    margin: 20px 0px 10px 0px;
    text-align: center;
}
.certificates-cntr{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    min-height: 200px;
    gap: 15px;
}
.certificate {
    width: 300px;
    height: 300px;
    display: grid;
    grid-template-rows: 75% 25%;
    grid-column: auto;
    padding: 5px;
    border: 10px ridge #293646;
    box-shadow: 7px 12px 15px -2px rgba(71,71,71,0.75);
}
.certificate-img-cntr {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
.certificate-img-cntr img {
    object-fit: contain;
    position: absolute;
    width: 100%;
    height: 100%;
}
/* .sample-div {
    width: 100%;
    height: 10px;
    position: fixed;
    top: 100px;
    z-index: 1000;
    background: lime;
    scale: 0 1;
    animation: scroll-watcher linear;
    animation-timeline: scroll();
}
@keyframes scroll-watcher {
    to { scale: 1 1; }
} */
.certificate-decription-cntr {
    text-align: center;
    font-size: 1rem;
}
.certificate-decription-cntr a {
    color: var(--main-color);
    font-size: 0.8rem;
}
.projects-cntr {
    width: 100%;
    padding: 5px 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: Lora, sans-serif;
}
.demo-projects-main-cntr {
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    min-height: 500px;
 }
.project-seperator {
    width: 100%;
    height: 1px;
    background-color: black;
    margin: 50px 0px;
} 
 .project-title { grid-area: cntr1; }
 .mockup-cntr { grid-area: cntr2; }
 .language-and-tools-cntr { grid-area: cntr3; }
 .project-info { grid-area: cntr4; }
 .web-link-btn { grid-area: cntr5; }
 .project {
    width: 100%;
    justify-items: center; /* Center items horizontally */
    display: grid;
    grid-template-areas: 
    "cntr1 cntr4"
    "cntr2 cntr4"
    "cntr3 cntr5";
    gap: 5px;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto 1fr auto;
    box-sizing: border-box;
 }
.project-title{
    text-transform: uppercase;
    font-family: "Bona Nova SC", sans-serif;
    font-weight: 600;
    letter-spacing: 10px;
    padding: 5px;
    font-size: clamp(1.3rem, 2.5vw, 1.8rem);
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: left;
}
.mockup-cntr {
    width: 100%;
    padding: 10px 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}
.mockup-desktop {
    width: 480px;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1.5px solid black;
    overflow: hidden;
    position: relative;
    box-shadow: 7px 12px 15px -2px rgba(71,71,71,0.75);
}
.mockup-mobile {
    width: 150px;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1.5px solid black;
    overflow: hidden;
    position: relative;
    border-radius: 10px;
    box-shadow: 7px 12px 15px -2px rgba(71,71,71,0.75);
}
.mockup-desktop img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
}
.mockup-mobile img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
}
.language-and-tools-cntr {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.language-and-tools-cntr span {
    color: white;
    padding: 3px 10px;
    border-radius: 20px;
    font-size: clamp(0.75rem, 1.5vw, 0.9rem);
    letter-spacing: 2px;
    font-family: "Oswald", sans-serif;
}
.html-span {
    background: #f06529;
}
.css-span {
    background: #2965f1;
}
.javascript-span {
    background: #f0db4f;
}
.sass-span {
    background: #CD6799;
}
.react-span {
    background: #7cc5d9;
}
.json-span {
    background: #464646;
}
@keyframes fade-in {
    from { scale: 0.2; opacity: 0.1; }
    to { scale: 1; opacity: 1; }
}
.project-info {
    font-size: clamp(0.9rem, 2vw, 1.05rem);
    text-align: left;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: min(100%, 700px);
}
.project button {
    width: min(300px, 100%);
    padding: 5px;
    border-radius: 10px;
    border: none;
    background: var(--secondary-color);
    display: flex;
    justify-content: center;
    gap: 5px;
    transition: 0.2s linear;
}
.project button:hover {
    background: var(--main-color);
}

.project button a {
    text-decoration: none;
    color: white;
}
.project button i{
    color: white;
}
/*---------------------------------------- CONTACT SECTION ----------------------------------------*/
.contact-section {
    width: 100%;
    min-height: min(100vh, 700px);
    padding-top: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.contact-cntr {
    width: min(1000px, 90%);
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    gap: 20px;
    padding: 20px;
}
.contact-list-cntr {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    flex-wrap: wrap;
    gap: 10px;
}
.contact {
    width: 260px;
    min-height: 80px;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    background: #eeeeee;
    border-radius: 5px;
    border-left: 3px solid rgb(134, 134, 134);
}
.img-contact-cntr i {
    font-size: 2.5rem;
    color: var(--third-color);
}
.contact-details-cntr {
    width: 200px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.contact-details-cntr span {
    font-weight: 500;
}
.contact-details-cntr a {
    word-wrap: break-word;
    font-size: 0.9rem;
    transition: 0.2s all linear;
}
.contact-details-cntr a:hover {
    color: var(--third-color);
}
.hire-me-button {
    width: 200px;
    height: 50px;
    border-radius: 50px;
    border: none;
    background: var(--main-color);
    color: white;
    box-shadow: -26px 17px 8px rgba(0,0,0,0.15);
    transition: 0.2s;
}
.hire-me-button:hover {
    background-color: rgb(255, 218, 10);
    color: black;
}
.hire-me-button a {
    text-decoration: none;
    font-size: 1.1rem;
    color: inherit;
}
/*=========================== FOOTER ===========================*/
footer {
    width: 100%;
    min-height: 200px;
    background: var(--secondary-color);
    color: white;
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    align-items: center;
}
footer span {
    color: white;
}
.contact-icons-btn {
    display: flex;
    gap: 15px;
    font-size: 1.3rem;
    color: var(--background-color);
}
.contact-icons-btn a i {
    color: white;
    transition: 0.2s all linear;
}
.contact-icons-btn a i:hover{
    color: var(--third-color);
}
/*=========================== RESPONSIVENESS ===========================*/
@media only screen and (max-width: 1200px) {
    .project {
        width: 100%;
        justify-items: center; /* Center items horizontally */
        display: grid;
        grid-template-areas: 
        "cntr1"
        "cntr2"
        "cntr3"
        "cntr4"
        "cntr5";
        gap: 5px;
        grid-template-columns: auto;
    }
    .project-info {
        text-align: center;
    }
}
@media only screen and (max-width: 900px) {
    * {
        cursor: pointer;
    }
    .cursor-dot {
        display: none;
    }
    .cursor-outline {
        display: none;
    }
    .nav-links-btn {
        display: initial;
    }
    .seperator {
        display: none;
    }
    .nav-links-container {
        position: absolute;
        top: 80px;
        right: -1000px;
        background: var(--background-color);
        z-index: -1;
        display: flex;
        flex-direction: column;
        justify-content: start;
        padding-top: 30px;
        box-shadow: -13px 5px 17px 0px rgba(0,0,0,0.75);
        height: calc(100vh - 80px);
    }
    .nav-links-container.show {
        right: 0;
    }
}
@media only screen and (max-width: 700px) {
    .mockup-desktop {
        width: 320px;
        height: 200px;
    }
    .mockup-mobile {
        width: 100px;
        height: 200px;
    }
}
@media only screen and (max-width: 600px) {
    .home-container {
        grid-template-areas: 
            'nameArea' 
            'aspiringArea'
            'techArea';
        grid-template-columns: auto;
        row-gap: 40px;
        grid-template-rows:  auto auto auto;
    }
    .name-cntr {
        text-align: center;
    }
    .name-h1 {
        text-shadow: -6px 7px 3px rgba(0,0,0,0.15);
    }
    .aspiring-cntr {
        padding: 0%;
    }
    .aspiring-web-dev {
        text-align: center;
    }
    .introduction {
        text-align: center;
    }
    .download-cv-btn {
        box-shadow: -6px 7px 3px rgba(0,0,0,0.15);;
    }
    .about-info-container {
        display: flex;
        flex-direction: column;
        gap: 0px;
        background-color: white;
    }
    .info-content {
        padding: 20px 0px;
    }
    .contact-cntr {
        grid-template-areas: 
            'title'
            'contact';
        grid-template-columns: 1fr;
        grid-template-rows: 50px 350px;
    }
    .contact-image {
        display: none;
    }
    .mockup-desktop {
        width: 230px;
        height: 149px;
    }
    .mockup-mobile {
        width: 75px;
        height: 150px;
    }
  }